MatrixPairDPCursor (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.twohead.MatrixPairDPCursor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp.twohead
Class MatrixPairDPCursor

    java.lang.Object
      org.biojava.bio.dp.twohead.AbstractMatrixPairDPCursor
          org.biojava.bio.dp.twohead.MatrixPairDPCursor

All Implemented Interfaces:
  PairDPCursor

    public class MatrixPairDPCursor

extends AbstractMatrixPairDPCursor

Author:
  Matthew Pocock

Field Summary

Fields inherited from class org.biojava.bio.dp.twohead.AbstractMatrixPairDPCursor
`bPointers, columns, depth, eCache, emissions, emptyBP, numStates, pos, seqs, sMatrix, zeroCol`

Constructor Summary
`MatrixPairDPCursor(SymbolList seq1, SymbolList seq2, int depth1, int depth2, PairDPMatrix matrix, EmissionCache eCache)`

Method Summary
`boolean` | `hasNext()` test wether the cursor can be advanced further
`void` | `next(Cell[][] cells)` retrieve the next block of cells

Methods inherited from class org.biojava.bio.dp.twohead.AbstractMatrixPairDPCursor
`getDepth, press`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixPairDPCursor

    public MatrixPairDPCursor(SymbolList seq1,
                              SymbolList seq2,
                              int depth1,
                              int depth2,
                              PairDPMatrix matrix,
                              EmissionCache eCache)
                       throws IllegalSymbolException

Throws:
  `IllegalSymbolException`

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `PairDPCursor`
  test wether the cursor can be advanced further

### next

    public void next(Cell[][] cells)

  Description copied from interface: `PairDPCursor`
  retrieve the next block of cells

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD